langcode: en
status: true
dependencies:
  config:
    - node.type.blog_post
    - node.type.job_offer
  module:
    - content_moderation
id: editorial
label: Editorial
type: content_moderation
type_settings:
  states:
    archived:
      label: Archived
      weight: 1
      published: false
      default_revision: true
    draft:
      label: Draft
      weight: -2
      published: false
      default_revision: false
    published:
      label: Published
      weight: 0
      published: true
      default_revision: true
    validation:
      label: Validation
      weight: -1
      published: false
      default_revision: false
  transitions:
    archive:
      label: Archive
      from:
        - published
      to: archived
      weight: 0
    archived_draft:
      label: 'Restore to Draft'
      from:
        - archived
      to: draft
      weight: 1
    archived_published:
      label: Restore
      from:
        - archived
      to: published
      weight: 2
    create_new_draft:
      label: 'Create New Draft'
      from:
        - draft
        - published
        - validation
      to: draft
      weight: -3
    publish:
      label: Publish
      from:
        - draft
        - published
        - validation
      to: published
      weight: -1
    to_validate:
      label: 'To validate'
      from:
        - draft
        - published
        - validation
      to: validation
      weight: -2
  entity_types:
    node:
      - blog_post
      - job_offer
  default_moderation_state: draft
